/* CSS reset/normalize  */
* {
    all: unset;
    display: revert;
  }
* a:hover{
    cursor: pointer;
}

/*---------- general ----------**********************************/
html:root{
    --blue: #017b92;
    --purple: #4e0550;
    --black: black;
    --white: white;
}

/*---------- font ----------************************************/
@font-face {
    font-family: 'resist_sans_display_regular';
    src: url(./fonts/ResistSansDisplay-Regular.ttf);
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'resist_sans_display_medium';
    src: url(./fonts/ResistSansDisplay-Medium.ttf);
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'migha_black';
    src: url(./fonts/Migha\ Black.otf);
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'kenoky_light';
    src: url(./fonts/KENOKY-Light.ttf);
    font-weight: normal;
    font-style: normal;
}

/*---------- header ----------*********************************/

/*------ home section ----- ****************************/
.container-home img{
    max-width: 100%;
    height: auto;
}

/*- grid system - ************/
.container-home{
    display: grid;
    width: 100%;
    grid-template-columns: 85px 20% 1fr 13% 85px;
    grid-template-rows: 85px auto 85px;
}
.col-freelance{
    grid-column: 2;
    grid-row: 1;
}
.col-navbar{
    grid-column: 3/5;
    grid-row: 1;
}
.col-h1{
    grid-column: 2/5;
    grid-row: 3;
}
.col-h2{
    grid-column: 1;
    grid-row: 1/4;
}
.col-h3{
    grid-column: 5;
    grid-row: 1/4;
}
.col-img-profil{
    grid-column: 2/4;
    grid-row: 2;
}
.col-img-portfolio{
    grid-column: 4;
    grid-row: 2;
}

/*- freelance - ************/
.container-home .col-freelance{
    display: flex;
    justify-content: end;
}
.col-freelance img{
    width: 90%;
}
.display-none{
    display: none;
}

/*- navbar - ************/
.col-navbar{
    display: flex;
    justify-content: center;
    align-items: center;
}
input + label {
    display: none;
}
.col-navbar nav{
    border-bottom: 0.15rem solid var(--black);
    height: 3.5rem;
    width: 74rem;
}
.col-navbar ul{
    display: flex;
    justify-content: space-between;
    padding-inline-start: 34rem;
    list-style: none;
}
.col-navbar span{
    font-family: 'resist_sans_display_regular';
    font-size: 2rem;
}
.col-navbar li:hover{
    color: var(--blue);
}

/*- titles - ************/
.col-h1, .col-h2, .col-h3{
    display: flex;
    justify-content: center;
    align-items: center;
}
.col-h2, .col-h3{
    writing-mode: vertical-rl;
}
h1, h2, h3{
    font-family: 'resist_sans_display_medium';
    font-size: 3.3rem;
    text-transform: uppercase;
}
h1{
    padding: 0 1rem;
}
h2, h3{
    padding: 1rem 0;
}

/*- img profil - ************/
.col-img-profil{
    display: flex;
    justify-content: center;
}
.col-img-profil img{
    padding: 7% 0 1% 5%;
    width: 85%;
}
.col-img-portfolio{
    display: flex;
    align-items: end;
    padding-bottom: 2.5rem;
}
.col-img-portfolio img{
    width: 90%;
}

/*---------- main ----------*********************************/

/*------ story section ----- ****************************/
.container-story{
    background-image: url(medias/bg-gradient-purple.png);
    background-size: cover;
    background-repeat: no-repeat; 
}
.container-story img{
    max-width: 100%;
    height: auto;
    padding-top: 2rem;
}

/*- grid system - ************/
.container-story{
    display: grid;
    width: 100%;
    grid-template-columns: 1fr auto 1fr;
    grid-template-rows: 350px 1fr 1fr 200px;
}
.col-h4{
    grid-column: 2;
    grid-row: 2/4;
}
.col-01{
    grid-column: 1;
    grid-row: 2/3;
}
.col-02{
    grid-column: 3;
    grid-row: 2/3;
}
.col-03{
    grid-column: 1;
    grid-row: 3/4;
}
.col-04{
    grid-column: 3;
    grid-row: 3/4;
}

/*- border - ************/
.border-v-story{
    width: 0.13rem;
    background-color: var(--white);
}
.border-v-h4{
    grid-column: 2;
    grid-row: 1/3;
    height: 42rem;
}
.border-v-h4, .border-v-col01, .border-v-col02, 
.border-v-col03, .border-v-col04{
    display: flex;
}
.border-v-h4{
    justify-content: center;
}
.border-v-col01{
    grid-column: 1;
    grid-row: 1/2;
    padding-right: 5.5rem;
}
.border-v-col01, .border-v-col04{
    justify-content: flex-end;
}
.border-v-col02{
    grid-column: 3;
    grid-row: 1/2;
}
.border-v-col03{
    grid-column: 1;
    grid-row: 1/3;
}
.border-v-col02, .border-v-col03{
    padding-left: 6rem;
}
.border-v-col04{
    grid-column: 3;
    grid-row: 1/3;
    padding-right: 6rem;
}

/*- flex system col - ************/
.col-h4, .col-03, .col-01, .col-02, .col-04{
    display: flex;
    flex-direction: column;
}
.col-h4{
    justify-content: end;
}
.col-h4 p{
    display: flex;
    justify-content: center;
}
.col-01, .col-04{
    align-items: flex-end;
}

/*- text col - ************/
.col-03 .title, .col-01 .title, .col-02 .title,
.col-04 .title{
    font-family: 'migha_black';
    font-size: 2.5rem;
    color: var(--blue);
}
.col-03 .text, .col-01 .text, .col-02 .text,
.col-04 .text{
    font-family: 'resist_sans_display_regular';
    font-size: 1.15rem;
    color: var(--white);
    text-align: justify;
}
.col-01, .col-04{
    padding: 0 4rem 0 10rem;
}
.col-03, .col-02{
    padding: 0 10rem 0 4rem;
}

/*------ galerie section ----- ****************************/
.container-galery img{
    max-width: 100%;
    height: auto;
}

/*- grid system - ************/
.container-galery{
    display: grid;
    width: 100%;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    grid-template-rows: 100px 150px 150px 1fr 150px 100px;
}
.container-galery .img-star{
    grid-column: 1;
    grid-row: 1;
}
.col-project1{
    grid-column: 1;  
}
.border-v-project1{
    grid-column: 2;
}
.col-h5{
    grid-column: 2;
    grid-row: 2/6;  
}
.col-project2{
    grid-column: 3;
}
.border-v-project2{
    grid-column: 4;
}
.col-h5-bis{
    grid-column: 4;
    grid-row: 2/6; 
}
.col-project3{
    grid-column: 5;
}
.col-project1, .col-project3{
    grid-row: 4/5;
}
.col-project2{
    grid-row: 3/5;
}
.border-v-project1, .border-v-project2{
    grid-row: 3/6;
}

/*- img star - ************/
.container-galery .img-star{
    padding: 2rem 0 0 2rem;
}

/*- title h5 - ************/
.col-h5,.col-h5-bis{
    display: flex;
    justify-content: flex-end;
    padding-top: 3rem;
}
.col-h5 img, .col-h5-bis img{
    height: 90%;
}

/*- project - ************/
.col-project1, .col-project2, .col-project3{
    display: flex;
    flex-direction: column;
    padding: 0 20%;
}
.col-project2{
    padding-bottom: 150px;
}
.col-project1 p, .col-project2 p, .col-project3 p{
    padding-bottom: 1rem;
}
.title-project{
    font-family: 'migha_black';
    font-size: 1.8rem;
    color: var(--black);
    text-transform: uppercase;
}
.txt-project{
    font-family: 'resist_sans_display_regular';
    font-size: 1.2rem;
    color: var(--black);
}
.command-project{
    font-family: 'resist_sans_display_medium';
    color: var(--black);
    font-size: 1.3rem;
    text-transform: uppercase;
}

/*- border - ************/
.border-v-galery{
    width: 0.20rem;
    background-color: var(--black);
}
.border-v-project1, .border-v-project2{
    display: flex;
    justify-content: flex-start;
    padding-bottom: 2rem;
}

/*------ palette section ----- ****************************/
.container-skills{
    background-image: url(medias/bg-gradient-purple-palette.png);
    background-repeat: no-repeat;
    background-size: cover; 
}
.container-skills img{
    max-width: 100%;
    height: auto;
}

/*- grid system - ************/
.container-skills{
    display: grid; 
    grid-template-rows: 200px 600px 200px 600px 200px 600px 200px 5rem;
    grid-template-columns: 10% 23% 17% 17% 23% 10%;
    padding: 5rem 3rem 0 3rem;
}
.col-h6{
    grid-row: 1;
    grid-column: 2/7;
}
.txt-skill01{
    grid-row: 2;
    grid-column: 2;
}
.blue-circle{
    grid-row: 2;
    grid-column: 3;
}
.cross1{
    grid-row: 1/4;
    grid-column: 1/5;
}
.date-2020{
    grid-row: 3;
    grid-column: 5;
}
.txt-skill02{
    grid-row: 4;
    grid-column: 5;
}
.purple-circle{
    grid-row: 4;
    grid-column: 4;
}
.cross2{
    grid-row: 3/6;
    grid-column: 3/7;
}
.date-2023{
    grid-row: 5;
    grid-column: 2;
}
.txt-skill03{
    grid-row: 6;
    grid-column: 2/5;
}
.cv-button{
    grid-row: 6;
    grid-column: 5;
}
.cross3{
    grid-row: 5/8;
    grid-column: 1/5;
}

/*- col title h6 - ************/
.col-h6{
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.col-h6 p:first-child{
    padding-right: 2rem;
}

/*- col skill 1/2/3  - ************/
.txt-skill01, .txt-skill02{
    font-family: 'migha_black';
    font-size: 3rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}
.txt-skill02{
    align-items: flex-end;
}
.txt-skill01 p, .txt-skill02 p{
    padding-top: 2rem;
}
.blue-circle, .purple-circle, .cv-button{
    display: flex;
    align-items: flex-end;
}
.cross1, .cross2, .cross3{
    display: flex;
    align-items: flex-end;
}
.cross2{
    justify-content: flex-end;
}
.date-2023{
    display: flex;
    justify-content: flex-end;
}
.txt-skill03{
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}
.cv-button{
    justify-content: center;
    padding-bottom: 0.5rem;
}

/*---------- footer ----------*********************************/

/*------ messagerie section ----- ****************************/
.container-mailbox{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 10rem;
    padding: 0 2rem;
}
.container-mailbox img{
    max-width: 100%;
    height: auto;
}

/*- col h7  - ************/
.col-h7 p {
    display: flex;
    align-items: flex-end;
}
.col-h7 img{
    width: 87%;
}

/*- contact button - ************/
.col-contact{
    padding-top: 2rem;
}
.col-contact img{
    width: 85%;
}

/*- col name - ************/
.col-name{
display: flex;
align-items: center;
}
.border-v-contact{
    width: 0.16rem;
    background-color: var(--black);
    height: 90%;
}
.name{
    display: flex;
    align-items: center;
    writing-mode: vertical-rl;
    transform: rotate(180deg);
    padding-right: 2rem;
}
.name img{
    height: 80%;
}
h8{
    font-family: 'kenoky_light';
    font-size: 3.3rem;
    font-style: var(--black);
    padding-top: 0.1rem;
}

/*- col name - ************/
.social-network{
    display: flex;
    justify-content: center;
    writing-mode: vertical-rl;
    transform: rotate(180deg);
    font-family: 'resist_sans_display_regular';
    font-size: 1.9rem;
    font-style: var(--black);
}

/*------ button back to top ----- ****************************/
#myBtn {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 5px; /* Place the button at the bottom of the page */
    right: 10px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    cursor: pointer; /* Add a mouse pointer on hover */
}


/********************************* mediaqueries ************************************/
@media (min-width: 1440px) and (max-width: 1774px){
    .col-navbar nav{
        width: 60rem;
    }
    .col-navbar ul{
        padding-inline-start: 20rem;
    }
    h1, h2, h3{
        font-size: 2.9rem;
    }
    .col-01, .col-02, .col-03, .col-04{
        padding: 0 2rem 0 2rem;
    }
    .border-v-h4{
        height: 32rem;
    }
    .col-h4 {
        justify-content: center;
    }
    .col-h4 img{
        max-width: 80%;
    }
    .border-v-col01 {
        padding-right: 3.5rem;
    }
    .border-v-col02{
        padding-left: 4rem;
    }
    .border-v-col03, .border-v-col04{
        display: none;
    }
    .blue-circle, .purple-circle{
        grid-column: 3/5;
        justify-content: center;
    }
    .date-2020 {
        padding-left: 2rem;
    }
    .date-2023 {
        padding-right: 2rem;
    }
    .cv-button{
        justify-content: end;
    }
    .cv-button img{
        max-width: 90%;
    }
    .col-h7 img {
        max-width: 80%;
    }
    .col-contact img {
        max-width: 80%;
    }
    h8{
        font-size: 3rem;
    }
    .social-network{
        font-size: 1.7rem;
        padding-right: 2rem;
    }
}

/*------ laptop ----- ********************************************/
@media (min-width: 1024px) and (max-width: 1439px){
    .container-home {
        grid-template-columns: 70px 20% 1fr 13% 70px;
        grid-template-rows: 70px auto 70px;
    }
    .col-freelance img {
        width: 75%;
    }
    .col-navbar nav {
        height: 2.5rem; 
    }
    .col-navbar ul {
        padding-inline-start: 15rem; 
    }
    .col-navbar span {
        font-size: 1.5rem;
    }
    h1, h2, h3 {
        font-size: 2rem;
    }
    .col-h1 img, .col-h2 img, .col-h3 img {
        width: 2.5rem;
    }
    .col-img-portfolio{
        width: 90%;
    }
    .container-story {
        grid-template-rows: 250px 500px 1fr 500px 200px;
    }
    .col-h4 {
        grid-row: 3;
        grid-column: 1/4;
    }
    .col-01, .col-02{
        grid-row: 2;
        padding: 0 2rem 0 2rem;
    }
    .col-03, .col-04{
        grid-row: 4;
        padding: 0 2rem 0 2rem;
    }
    .border-v-h4{
        height: 48rem;
    }
    .border-v-col01 {
        padding-right: 3.5rem;
    }
    .border-v-col02{
        padding-left: 4rem;
    }
    .border-v-col03, .border-v-col04{
        display: none;
    }
    .col-h4 img{
        max-width: 80%;
    }
    .container-galery img {
        max-width: 90%;
    }
    .col-project1, .col-project2, .col-project3{
        padding: 0 10%;
    }
    .container-skills {
        grid-template-rows: 200px 500px 150px 500px 150px 500px 150px 5rem;
    }
    .blue-circle, .purple-circle{
        grid-column: 3/5;
    }
    .blue-circle{
        justify-content: end;
    }
    .blue-circle img, .purple-circle img{
        max-width: 85%;
    }
    .purple-circle{
        justify-content: start; 
    }
    .txt-skill01, .txt-skill02{
        font-size: 2.5rem;
    }
    .date-2020 {
        padding-left: 2rem;
    }
    .date-2023 {
        padding-right: 2rem;
    }
    .cv-button{
        padding: 10% 0 0 19%;
    }
    .cv-button img{
        max-width: 85%;
    }
    .container-mailbox{
        margin-top: 8rem;
    }
    .col-h7{
        display: flex;
        align-items: flex-end;
    }
    .col-h7 img {
        width: 75%;
    }
    .col-contact {
        padding-top: 1rem;
    }
    .col-contact a{
        display: flex;
        justify-content: center;
    }
    .col-contact img {
        width: 70%;
    }
    .border-v-contact{
        height: 85%;
    }
    h8{
        font-size: 2rem;
    }
    .social-network{
        font-size: 1.2rem;
        padding-right: 2rem;
        padding-top: 1rem;
    }
    #myBtn{
        bottom: 9px;
        right: -16px;
    }
    #myBtn img{
        max-width: 56%;
    }
}

/*------ tablet ----- ********************************************/
@media (min-width: 768px) and (max-width: 1023px){
    .container-home {
        grid-template-columns: 45px 20% 1fr 13% 45px;
        grid-template-rows: 45px auto 45px;
    }
    .col-freelance img {
        width: 75%;
    }
    .col-navbar nav {
        height: 2rem; 
        width: 30rem;
    }
    .col-navbar ul {
        padding-inline-start: 6rem; 
    }
    .col-navbar span {
        font-size: 1.2rem;
    }
    h1, h2, h3 {
        font-size: 1.5rem;
    }
    .col-h1 img, .col-h2 img, .col-h3 img {
        width: 2rem;
    }
    .col-img-profil img {
        padding: 5% 0 1% 5%;
        width: 90%;
    }
    .col-img-portfolio{
        width: 90%;
    }
    .container-story {
        grid-template-columns: auto;
        grid-template-rows: 100px auto auto auto auto auto 100px;
    }
    .container-story img {
        width: 3rem;
        padding-top: 1rem;
    }
    .border-v-h4 {
        display: none;
    }
    .col-h4 {
        grid-column: 1;
        grid-row: 4/5;
        padding: 4rem 0 2rem 0;
    }
    .col-h4 img{
        width: 50%;
    }
    .border-v-col01 {
        grid-column: 1;
        grid-row: 1/2;
        padding-right: 5.1rem;
    }
    .col-01 {
        grid-column: 1;
        grid-row: 2/3;
        padding: 0 4rem 0 4rem;
    }
    .col-01 p:first-child{
        display: flex;
        justify-content: flex-end;
    } 
    .col-01 img{
        width: 70%;
    }
    .border-v-col02 {
        grid-column: 1;
        grid-row: 3/4;
        padding-left: 5.5rem;
    }
    .col-02 {
        grid-column: 1;
        grid-row: 3/4;
        padding: 7rem 4rem 0 4rem;
    }
    .border-v-col03 {
        grid-column: 1;
        grid-row: 5/6;
        padding-right: 5.5rem;
        justify-content: flex-end;
    }
    .col-03 {
        grid-column: 1;
        grid-row: 5/6;
        padding: 7rem 4rem 0 4rem;
        align-items: flex-end;
    }
    .border-v-col04 {
        grid-column: 1;
        grid-row: 6/7;
        padding-left: 5.5rem;
        justify-content: flex-start;
    }
    .col-04 {
        grid-column: 1;
        grid-row: 6/7;
        padding: 7rem 4rem 0 4rem;
        align-items: flex-start;
    }  
    .col-03 .title, .col-01 .title, .col-02 .title, .col-04 .title {
        font-size: 2rem;
    }
    .border-v-col02, .border-v-col03, .border-v-col04{
        height: 5rem;
        padding-top: 2rem;
    }

    .container-galery {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 100px 100px 600px 100px 100px 600px 100px 100px;
    }
    .container-galery .img-star img{
        width: 3rem;
    }
    .col-h5 {
        grid-column: 2;
        grid-row: 2/4;
        justify-content: end;
        padding-right: 12%;
        padding-top: 0;
    }
    .col-h5 img{
        height: 95%;
    }
    .col-project1 {
        grid-column: 1;
        grid-row: 3/5;
        justify-content: space-evenly;
        padding: 0 15%;
    }
    .border-v-project1{
        grid-column: 1;
        grid-row: 3/8;
        justify-content: flex-end;
        padding-bottom: 0;
    }
    .col-project2 {
        grid-column: 1;
        grid-row: 6/8;
        justify-content: space-evenly;
        padding: 0 15%;
    }
    .border-v-project2{
        display: none;
    }
    .col-h5-bis{
        display: none;
    }
    .col-project3 {
        grid-column: 2;
        grid-row: 5/7;
        justify-content: space-evenly;
        padding: 0 15%;
    }

    .container-skills {
        grid-template-rows: 200px 300px 100px 300px 100px 300px 100px 5rem;
        grid-template-columns: 10% 23% 17% 17% 23% 10%;
        padding: 2rem 4rem 0 4rem;
    }
    .blue-circle {
        grid-column: 4;
    }
    .cross1 {
        grid-row: 2/4;
    }
    .purple-circle {
        grid-column: 3;
    }
    .txt-skill01, .txt-skill02 {
        font-size: 2rem;
    }
    .blue-circle, .purple-circle {
        padding-bottom: 2rem;
    }
    .date-2020, .date-2023{
        width: 4rem;
        display: flex;
        align-items: flex-start;
        margin: 0 auto;
    }
    .cv-button {
        padding-bottom: 0;
        width: 80%;
        padding-left: 3rem;
    }

    .container-mailbox {
        margin-top: 4rem;
        padding: 0 1rem;
    }
    .col-h7{
        display: flex;
        align-items: flex-end;
    }
    .col-h7 img {
        width: 90%;
    }
    .col-contact img {
        width: 75%;
    }
    .border-v-contact {
        height: 85%;
    }
    .name img {
        height: 70%;
    }
    h8 {
        font-size: 2rem;
    }
    .social-network {
        font-size: 1.3rem;
        padding-top: 1rem;
    }
    #myBtn {
        right: -16px;
    }
    #myBtn img {
        max-width: 56%;
    }

}

/*------ Mobile L ----- ********************************************/
@media (min-width: 425px) and (max-width: 767px){
    .container-home {
        grid-template-columns: 40px 25% 1fr 40px;
        grid-template-rows: 40px 18% auto 40px;
    }
    .col-freelance{
        grid-row: 1/3;
    }
    .col-h1 {
        grid-column: 1/5;
        grid-row: 4;
        justify-content: space-between;
    }
    .col-h3 {
        grid-column: 4;
    }
    .col-img-profil {
        grid-column: 1/5;
        grid-row: 2/4;
    }
    .col-freelance p:last-child{
        display: flex;
        justify-content: end;
    }
    .col-freelance img {
        width: 70%;
    }
    h1, h2, h3{
        font-size: 1.5rem;
    }
    .col-h1 img,.col-h2 img, .col-h3 img{
        display: none;
    }
    .col-navbar nav {
        border-bottom: none;
        width: 100%;
    }
    .col-navbar ul {
        padding-inline-start: 0; 
    }
    .col-navbar span {
        font-size: 1.5rem;
    }
    .col-img-profil p:last-child{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .col-img-profil img {
        padding: 0;
        width: 80%;
    }
    .col-img-portfolio {
        display: none;
    }
    /*------ burger menu ----- */
    input + label {
        display: block;
        position: fixed;
        top: 1rem;
        right: 4rem;
        height: 20px;
        width: 23px;
        z-index: 5;
    }
    input + label span {
        position: absolute;
        width: 100%;
        height: 3px;
        top: 50%;
        margin-top: -1px;
        display: block;
        background: var(--black);
        transition: 0.5s;
    } 
    input + label span:first-child {
        top: 4px;
    }
    input + label span:last-child {
        top: 16px;
    }
    label:hover {
        cursor: pointer;
    }
    input:checked + label span {
        opacity: 0;
        top: 50%;
    }
    input:checked + label span:first-child {
        opacity: 1;
        transform: rotate(405deg);
    }
    input:checked + label span:last-child {
        opacity: 1;
        transform: rotate(-405deg);
    }
    input ~ nav {
        display: flex;
        justify-content: center;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 3;
        transition: 0.5s;
        transition-delay: 0.5s;
    }
    input ~ nav > ul {
        position: absolute;
        top: 10%;
        flex-direction: column;
        align-items: center;
    }
    input ~ nav > ul > li {
        display: none;
        opacity: 0;
        transition: 0.5s;
        transition-delay: 0s;
    }
    input ~ nav > ul > li > a {
        text-transform: uppercase;
    }
    input:checked ~ nav {
        height: 100%;
        background: var(--white);
        transition-delay: 0s;
    }
    input:checked ~ nav > ul > li {
        display: block;
        opacity: 1;
        transition-delay: 0.5s;
    }
   
    .container-story {
        grid-template-columns: auto;
        grid-template-rows: 4rem auto auto auto auto auto 4rem;
        background-color: var(--purple);
        background-image: none;
    }
    .container-story img {
        width: 3rem;
        padding-top: 1rem;
    }
    .border-v-h4 {
        display: none;
    }
    .col-h4 {
        grid-column: 1;
        grid-row: 4/5;
        padding: 1.5rem 0 1rem 0;
    }
    .col-h4 img{
        width: 100%;
    }
    .border-v-col01 {
        grid-column: 1;
        grid-row: 1/2;
        padding-right: 3.1rem;
    }
    .col-01 {
        grid-column: 1;
        grid-row: 2/3;
        padding: 0 2rem 0 2rem;
    }
    .col-01 p:first-child{
        display: flex;
        justify-content: flex-end;
    } 
    .col-01 img{
        width: 70%;
    }
    .border-v-col02 {
        grid-column: 1;
        grid-row: 3/4;
        padding-left: 3.5rem;
    }
    .col-02 {
        grid-column: 1;
        grid-row: 3/4;
        padding: 4rem 2rem 0 2rem;
    }
    .border-v-col03 {
        grid-column: 1;
        grid-row: 5/6;
        padding-right: 3.5rem;
        justify-content: flex-end;
    }
    .col-03 {
        grid-column: 1;
        grid-row: 5/6;
        padding: 4rem 2rem 0 2rem;
        align-items: flex-end;
    }
    .border-v-col04 {
        grid-column: 1;
        grid-row: 6/7;
        padding-left: 3.5rem;
        justify-content: flex-start;
    }
    .col-04 {
        grid-column: 1;
        grid-row: 6/7;
        padding: 4rem 2rem 0 2rem;
        align-items: flex-start;
    }  
    .col-03 .title, .col-01 .title, .col-02 .title, .col-04 .title {
        font-size: 1.5rem;
    }
    .col-03 .text, .col-01 .text, .col-02 .text, .col-04 .text {
        font-size: 1rem;
    }
    .border-v-col02, .border-v-col03, .border-v-col04{
        height: 3rem;
        padding-top: 1.5rem;
    }

    .container-galery {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 80px 100px 600px 100px 100px 600px 100px 80px;
    }
    .container-galery .img-star img{
        width: 2.5rem;
    }
    .col-h5 {
        grid-column: 2;
        grid-row: 2/4;
        justify-content: end;
        padding-right: 1.5rem;
        padding-top: 0;
    }
    .col-h5 img{
        height: 100%;
    }
    .col-project1 {
        grid-column: 1;
        grid-row: 3/5;
        justify-content: space-evenly;
        padding: 0 1.5rem;
    }
    .title-project {
        font-size: 1.5rem;
    }
    .border-v-project1{
        grid-column: 1;
        grid-row: 3/8;
        justify-content: flex-end;
        padding-bottom: 0;
    }
    .col-project2 {
        grid-column: 1;
        grid-row: 6/8;
        justify-content: space-evenly;
        padding: 0 15%;
    }
    .border-v-project2{
        display: none;
    }
    .col-h5-bis{
        display: none;
    }
    .col-project3 {
        grid-column: 2;
        grid-row: 5/7;
        justify-content: space-evenly;
        padding: 0 15%;
    }

    .container-skills {
        grid-template-rows: 200px 200px 65px 250px 65px 250px 65px 4rem;
        grid-template-columns: 10% 20% 20% 20% 20% 10%;
        padding: 0 1rem 0 1rem;
    }
    .col-h6 {
        grid-column: 1/7;
    }
    .col-h6 p:first-child {
        padding-right: 1rem;
    }
    .blue-circle {
        grid-column: 4;
    }
    .cross1 {
        grid-row: 2/4;
        grid-column: 1/4;
    }
    .purple-circle {
        grid-column: 3;
    }
    .txt-skill01, .txt-skill02 {
        font-size: 1.5rem;
    }
    .txt-skill01 p, .txt-skill02 p {
        padding-top: 1rem;
    }
    .blue-circle, .purple-circle {
        padding-bottom: 1.5rem;
        width: 70%;
    }
    .cross2{
        grid-column: 4/7;
    }
    .date-2020, .date-2023{
        width: 3rem;
        display: flex;
        align-items: flex-start;
        margin: 0 auto;
    }
    .txt-skill03 {
        grid-column: 2/6;
        width: 90%;
        padding-bottom: 0;
    }
    .cross3{
        grid-column: 1/4;
    }
    .cv-button {
        grid-row: 8;
        padding-bottom: 0;
        width: 100%;
        padding-left: 1rem;
    }

    .container-mailbox {
        padding: 0;
        margin-top: 0;
        display: grid;
        grid-template-rows: 4rem 1fr 70px 70px;
        grid-template-columns: 1fr 1fr;
    }
    .col-h7{
        grid-row: 2;
        grid-column: 1;
        display: flex;
        align-items: flex-start;
    }
    .col-contact{
        grid-row: 2;
        grid-column: 2;
        padding-top: 0;
    }
    .col-name{
        grid-row: 3;
        grid-column: 1/3;
    }
    .social-network{
        grid-row: 4;
        grid-column: 1/3;
    }
    .col-h7 img {
        width: 100%;
    }
    .col-contact a{
        display: flex;
        justify-content: center;
    }
    .col-contact img {
        width: 65%;
    }
    .col-name{
        flex-direction: column;
    }
    .border-v-contact {
        height: 0.16rem;
        width: 85%;
        margin-top: 1rem;
    }
    .name{
        writing-mode: horizontal-tb;
        transform: rotate(0deg);
        padding-right: 0;
        padding-top: 0.5rem;
    }
    .name p{
        display: flex;
        align-items: center;
        justify-content: space-around;
    }
    .name img {
        width: 50%;
    }
    h8 {
        font-size: 1.5rem;
    }
    .social-network {
        font-size: 1.3rem;
        padding-top: 1rem;
        writing-mode: horizontal-tb;
        transform: rotate(0deg);
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }
    #myBtn {
        right: -16px;
    }
    #myBtn img {
        max-width: 56%;
    }
}

/*------ Mobile M ----- ********************************************/
@media (min-width: 375px) and (max-width: 424px){
    .container-home {
        grid-template-columns: 40px 25% 1fr 40px;
        grid-template-rows: 40px 18% auto 40px;
    }
    .col-freelance{
        grid-row: 1/3;
    }
    .col-h1 {
        grid-column: 1/5;
        grid-row: 4;
        justify-content: space-between;
    }
    .col-h3 {
        grid-column: 4;
    }
    .col-img-profil {
        grid-column: 1/5;
        grid-row: 2/4;
    }
    .col-freelance p:last-child{
        display: flex;
        justify-content: end;
    }
    .col-freelance img {
        width: 80%;
    }
    h1, h2, h3{
        font-size: 1.5rem;
    }
    .col-h1 img,.col-h2 img, .col-h3 img{
        display: none;
    }
    .col-navbar nav {
        border-bottom: none;
        width: 100%;
    }
    .col-navbar ul {
        padding-inline-start: 0; 
    }
    .col-navbar span {
        font-size: 1.5rem;
    }
    .col-img-profil p:last-child{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .col-img-profil img {
        padding: 0;
        width: 80%;
    }
    .col-img-portfolio {
        display: none;
    }
    /*------ burger menu ----- */
    input + label {
        display: block;
        position: fixed;
        top: 1rem;
        right: 4rem;
        height: 20px;
        width: 23px;
        z-index: 5;
    }
    input + label span {
        position: absolute;
        width: 100%;
        height: 3px;
        top: 50%;
        margin-top: -1px;
        display: block;
        background: var(--black);
        transition: 0.5s;
    } 
    input + label span:first-child {
        top: 4px;
    }
    input + label span:last-child {
        top: 16px;
    }
    label:hover {
        cursor: pointer;
    }
    input:checked + label span {
        opacity: 0;
        top: 50%;
    }
    input:checked + label span:first-child {
        opacity: 1;
        transform: rotate(405deg);
    }
    input:checked + label span:last-child {
        opacity: 1;
        transform: rotate(-405deg);
    }
    input ~ nav {
        display: flex;
        justify-content: center;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 3;
        transition: 0.5s;
        transition-delay: 0.5s;
    }
    input ~ nav > ul {
        position: absolute;
        top: 10%;
        flex-direction: column;
        align-items: center;
    }
    input ~ nav > ul > li {
        display: none;
        opacity: 0;
        transition: 0.5s;
        transition-delay: 0s;
    }
    input ~ nav > ul > li > a {
        text-transform: uppercase;
    }
    input:checked ~ nav {
        height: 100%;
        background: var(--white);
        transition-delay: 0s;
    }
    input:checked ~ nav > ul > li {
        display: block;
        opacity: 1;
        transition-delay: 0.5s;
    }

    .container-story {
        grid-template-columns: auto;
        grid-template-rows: 4rem auto auto auto auto auto 4rem;
        background-color: var(--purple);
        background-image: none;
    }
    .container-story img {
        width: 3rem;
        padding-top: 1rem;
    }
    .border-v-h4 {
        display: none;
    }
    .col-h4 {
        grid-column: 1;
        grid-row: 4/5;
        padding: 1.5rem 0 1rem 0;
    }
    .col-h4 img{
        width: 100%;
    }
    .border-v-col01 {
        grid-column: 1;
        grid-row: 1/2;
        padding-right: 3.1rem;
    }
    .col-01 {
        grid-column: 1;
        grid-row: 2/3;
        padding: 0 2rem 0 2rem;
    }
    .col-01 p:first-child{
        display: flex;
        justify-content: flex-end;
    } 
    .col-01 img{
        width: 70%;
    }
    .border-v-col02 {
        grid-column: 1;
        grid-row: 3/4;
        padding-left: 3.5rem;
    }
    .col-02 {
        grid-column: 1;
        grid-row: 3/4;
        padding: 4rem 2rem 0 2rem;
    }
    .border-v-col03 {
        grid-column: 1;
        grid-row: 5/6;
        padding-right: 3.5rem;
        justify-content: flex-end;
    }
    .col-03 {
        grid-column: 1;
        grid-row: 5/6;
        padding: 4rem 2rem 0 2rem;
        align-items: flex-end;
    }
    .border-v-col04 {
        grid-column: 1;
        grid-row: 6/7;
        padding-left: 3.5rem;
        justify-content: flex-start;
    }
    .col-04 {
        grid-column: 1;
        grid-row: 6/7;
        padding: 4rem 2rem 0 2rem;
        align-items: flex-start;
    }  
    .col-03 .title, .col-01 .title, .col-02 .title, .col-04 .title {
        font-size: 1.5rem;
    }
    .col-03 .text, .col-01 .text, .col-02 .text, .col-04 .text {
        font-size: 1rem;
    }
    .border-v-col02, .border-v-col03, .border-v-col04{
        height: 3rem;
        padding-top: 1.5rem;
    }

    .container-galery {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 80px 100px 600px 100px 100px 600px 100px 80px;
    }
    .container-galery .img-star img{
        width: 2.5rem;
    }
    .col-h5 {
        grid-column: 2;
        grid-row: 2/4;
        justify-content: end;
        padding-right: 1.5rem;
        padding-top: 0;
    }
    .col-h5 img{
        height: 100%;
    }
    .col-project1 {
        grid-column: 1;
        grid-row: 3/5;
        justify-content: space-evenly;
        padding: 0 1.5rem;
    }
    .title-project {
        font-size: 1.5rem;
    }
    .border-v-project1{
        grid-column: 1;
        grid-row: 3/8;
        justify-content: flex-end;
        padding-bottom: 0;
    }
    .col-project2 {
        grid-column: 1;
        grid-row: 6/8;
        justify-content: space-evenly;
        padding: 0 15%;
    }
    .border-v-project2{
        display: none;
    }
    .col-h5-bis{
        display: none;
    }
    .col-project3 {
        grid-column: 2;
        grid-row: 5/7;
        justify-content: space-evenly;
        padding: 0 15%;
    }

    .container-skills {
        grid-template-rows: 150px 135px 60px 180px 60px 180px 60px 4rem;
        grid-template-columns: 10% 20% 20% 20% 20% 10%;
        padding: 0 1rem 0 1rem;
    }
    .col-h6 {
        grid-column: 1/7;
    }
    .col-h6 p:first-child {
        padding-right: 1rem;
    }
    .blue-circle {
        grid-column: 5;
    }
    .cross1 {
        grid-row: 2/4;
        grid-column: 1/4;
    }
    .purple-circle {
        grid-column: 2;
    }
    .txt-skill01, .txt-skill02 {
        font-size: 1.5rem;
    }
    .txt-skill01 p, .txt-skill02 p {
        padding-top: 1rem;
    }
    .blue-circle, .purple-circle {
        padding-bottom: 2.5rem;
        width: 70%;
        margin: 0 auto;
    }
    .cross2{
        grid-column: 4/7;
    }
    .date-2020, .date-2023{
        width: 3rem;
        display: flex;
        align-items: flex-start;
        margin: 0 auto;
    }
    .txt-skill03 {
        grid-column: 2/7;
        width: 90%;
        padding-bottom: 0;
    }
    .cross3{
        grid-column: 1/4;
    }
    .cv-button {
        grid-row: 8;
        padding-bottom: 0;
        width: 100%;
        padding-left: 1rem;
    }

    .container-mailbox {
        padding: 0;
        margin-top: 0;
        display: grid;
        grid-template-rows: 4rem 1fr 70px 70px;
        grid-template-columns: 1fr 1fr;
    }
    .col-h7{
        grid-row: 2;
        grid-column: 1;
        display: flex;
        align-items: flex-start;
    }
    .col-contact{
        grid-row: 2;
        grid-column: 2;
        padding-top: 0;
    }
    .col-name{
        grid-row: 3;
        grid-column: 1/3;
    }
    .social-network{
        grid-row: 4;
        grid-column: 1/3;
    }
    .col-h7 img {
        width: 100%;
    }
    .col-contact a{
        display: flex;
        justify-content: center;
    }
    .col-contact img {
        width: 65%;
    }
    .col-name{
        flex-direction: column;
    }
    .border-v-contact {
        height: 0.16rem;
        width: 85%;
        margin-top: 1rem;
    }
    .name{
        writing-mode: horizontal-tb;
        transform: rotate(0deg);
        padding-right: 0;
        padding-top: 0.5rem;
    }
    .name p{
        display: flex;
        align-items: center;
        justify-content: space-around;
    }
    .name img {
        width: 50%;
    }
    h8 {
        font-size: 1.5rem;
    }
    .social-network {
        font-size: 1.3rem;
        padding-top: 1rem;
        writing-mode: horizontal-tb;
        transform: rotate(0deg);
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }
    #myBtn {
        right: -16px;
    }
    #myBtn img {
        max-width: 56%;
    }
}

/*------ Mobile S ----- ********************************************/
@media (max-width: 374px){
    .container-home {
        grid-template-columns: 40px 25% 1fr 40px;
        grid-template-rows: 40px 18% auto 40px;
    }
    .col-freelance{
        grid-row: 1/3;
    }
    .col-h1 {
        grid-column: 1/5;
        grid-row: 4;
        justify-content: space-between;
    }
    .col-h3 {
        grid-column: 4;
    }
    .col-img-profil {
        grid-column: 1/5;
        grid-row: 2/4;
    }
    .col-freelance p:last-child{
        display: flex;
        justify-content: end;
    }
    .col-freelance img {
        width: 95%;
    }
    h1, h2, h3{
        font-size: 1.5rem;
    }
    .col-h1 img,.col-h2 img, .col-h3 img{
        display: none;
    }
    .col-navbar nav {
        border-bottom: none;
        width: 100%;
    }
    .col-navbar ul {
        padding-inline-start: 0; 
    }
    .col-navbar span {
        font-size: 1.5rem;
    }
    .col-img-profil p:last-child{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .col-img-profil img {
        padding: 0;
        width: 80%;
    }
    .col-img-portfolio {
        display: none;
    }
     /*------ burger menu ----- */
    input + label {
        display: block;
        position: fixed;
        top: 1rem;
        right: 4rem;
        height: 20px;
        width: 23px;
        z-index: 5;
    }
    input + label span {
        position: absolute;
        width: 100%;
        height: 3px;
        top: 50%;
        margin-top: -1px;
        display: block;
        background: var(--black);
        transition: 0.5s;
    } 
    input + label span:first-child {
        top: 4px;
    }
    input + label span:last-child {
        top: 16px;
    }
    label:hover {
        cursor: pointer;
    }
    input:checked + label span {
        opacity: 0;
        top: 50%;
    }
    input:checked + label span:first-child {
        opacity: 1;
        transform: rotate(405deg);
    }
    input:checked + label span:last-child {
        opacity: 1;
        transform: rotate(-405deg);
    }
    input ~ nav {
        display: flex;
        justify-content: center;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 3;
        transition: 0.5s;
        transition-delay: 0.5s;
    }
    input ~ nav > ul {
        position: absolute;
        top: 10%;
        flex-direction: column;
        align-items: center;
    }
    input ~ nav > ul > li {
        display: none;
        opacity: 0;
        transition: 0.5s;
        transition-delay: 0s;
    }
    input ~ nav > ul > li > a {
        text-transform: uppercase;
    }
    input:checked ~ nav {
        height: 100%;
        background: var(--white);
        transition-delay: 0s;
    }
    input:checked ~ nav > ul > li {
        display: block;
        opacity: 1;
        transition-delay: 0.5s;
    }
    .container-story {
        grid-template-columns: auto;
        grid-template-rows: 4rem auto auto auto auto auto 4rem;
        background-color: var(--purple);
        background-image: none;
    }
    .container-story img {
        width: 3rem;
        padding-top: 1rem;
    }
    .border-v-h4 {
        display: none;
    }
    .col-h4 {
        grid-column: 1;
        grid-row: 4/5;
        padding: 1.5rem 0 1rem 0;
    }
    .col-h4 img{
        width: 100%;
    }
    .border-v-col01 {
        grid-column: 1;
        grid-row: 1/2;
        padding-right: 3.1rem;
    }
    .col-01 {
        grid-column: 1;
        grid-row: 2/3;
        padding: 0 2rem 0 2rem;
    }
    .col-01 p:first-child{
        display: flex;
        justify-content: flex-end;
    } 
    .col-01 img{
        width: 70%;
    }
    .border-v-col02 {
        grid-column: 1;
        grid-row: 3/4;
        padding-left: 3.5rem;
    }
    .col-02 {
        grid-column: 1;
        grid-row: 3/4;
        padding: 4rem 2rem 0 2rem;
    }
    .border-v-col03 {
        grid-column: 1;
        grid-row: 5/6;
        padding-right: 3.5rem;
        justify-content: flex-end;
    }
    .col-03 {
        grid-column: 1;
        grid-row: 5/6;
        padding: 4rem 2rem 0 2rem;
        align-items: flex-end;
    }
    .border-v-col04 {
        grid-column: 1;
        grid-row: 6/7;
        padding-left: 3.5rem;
        justify-content: flex-start;
    }
    .col-04 {
        grid-column: 1;
        grid-row: 6/7;
        padding: 4rem 2rem 0 2rem;
        align-items: flex-start;
    }  
    .col-03 .title, .col-01 .title, .col-02 .title, .col-04 .title {
        font-size: 1.5rem;
    }
    .col-03 .text, .col-01 .text, .col-02 .text, .col-04 .text {
        font-size: 1rem;
    }
    .border-v-col02, .border-v-col03, .border-v-col04{
        height: 3rem;
        padding-top: 1.5rem;
    }

    .container-galery {
        grid-template-columns: 1fr 6rem;
        grid-template-rows: 80px 100px 600px 100px 100px 600px 100px 100px 600px 100px 80px;
    }
    .container-galery .img-star img{
        width: 2.5rem;
    }
    .col-h5 {
        grid-column: 2;
        grid-row: 2/4;
        justify-content: end;
        padding-right: 0.5rem;
        padding-top: 0;
    }
    .col-h5 img{
        height: 100%;
    }
    .col-project1 {
        grid-column: 1;
        grid-row: 3/5;
        justify-content: space-evenly;
        padding: 0 1.5rem;
    }
    .title-project {
        font-size: 1.5rem;
    }
    .border-v-project1{
        grid-column: 1;
        grid-row: 3/5;
        justify-content: flex-end;
        padding-bottom: 0;
    }
    .col-project2 {
        grid-column: 1/4;
        grid-row: 6/8;
        justify-content: space-evenly;
        padding: 0 1.5rem;
    }
    .border-v-project2{
        display: none;
    }
    .col-h5-bis{
        display: none;
    }
    .col-project3 {
        grid-column: 1/4;
        grid-row: 9/11;
        justify-content: space-evenly;
        padding: 0 1.5rem;
    }

    .container-skills {
        grid-template-rows: 150px 135px 60px 180px 60px 180px 60px 4rem;
        grid-template-columns: 10% 20% 20% 20% 20% 10%;
        padding: 0 1rem 0 1rem;
    }
    .col-h6 {
        grid-column: 1/7;
    }
    .col-h6 p:first-child {
        padding-right: 1rem;
    }
    .blue-circle {
        grid-column: 5;
    }
    .cross1 {
        grid-row: 2/4;
        grid-column: 1/4;
    }
    .purple-circle {
        grid-column: 2;
    }
    .txt-skill01, .txt-skill02 {
        font-size: 1.5rem;
    }
    .txt-skill01 p, .txt-skill02 p {
        padding-top: 1rem;
    }
    .blue-circle, .purple-circle {
        padding-bottom: 2.5rem;
        width: 70%;
        margin: 0 auto;
    }
    .cross2{
        grid-column: 4/7;
    }
    .date-2020, .date-2023{
        width: 3rem;
        display: flex;
        align-items: flex-start;
        margin: 0 auto;
    }
    .txt-skill03 {
        grid-column: 2/7;
        width: 90%;
        padding-bottom: 0;
    }
    .cross3{
        grid-column: 1/4;
    }
    .cv-button {
        grid-row: 8;
        padding-bottom: 0;
        width: 100%;
        padding-left: 1rem;
    }

    .container-mailbox {
        padding: 0;
        margin-top: 0;
        display: grid;
        grid-template-rows: 4rem 1fr 70px 70px;
        grid-template-columns: 1fr 1fr;
    }
    .col-h7{
        grid-row: 2;
        grid-column: 1;
        display: flex;
        align-items: flex-start;
    }
    .col-contact{
        grid-row: 2;
        grid-column: 2;
        padding-top: 0;
    }
    .col-name{
        grid-row: 3;
        grid-column: 1/3;
    }
    .social-network{
        grid-row: 4;
        grid-column: 1/3;
    }
    .col-h7 img {
        width: 100%;
    }
    .col-contact a{
        display: flex;
        justify-content: center;
    }
    .col-contact img {
        width: 65%;
    }
    .col-name{
        flex-direction: column;
    }
    .border-v-contact {
        height: 0.16rem;
        width: 85%;
        margin-top: 1rem;
    }
    .name{
        writing-mode: horizontal-tb;
        transform: rotate(0deg);
        padding-right: 0;
        padding-top: 0.5rem;
    }
    .name p{
        display: flex;
        align-items: center;
        justify-content: space-around;
    }
    .name img {
        width: 50%;
    }
    h8 {
        font-size: 1.5rem;
    }
    .social-network {
        font-size: 1.3rem;
        padding-top: 1rem;
        writing-mode: horizontal-tb;
        transform: rotate(0deg);
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }
    #myBtn {
        right: -16px;
    }
    #myBtn img {
        max-width: 56%;
    } 
}